Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface NavigatableRowIterator

All Superinterfaces:
  RowIterator

All Known Subinterfaces:
  RowSet, RowSetIterator, ViewObject, ViewObjectDynAttr, WSRowSet

All Known Implementing Classes:
  EntityCacheOverRowSet, ViewCriteria, ViewObjectImpl, ViewRowSetImpl, ViewRowSetIteratorImpl, ViewUsageImpl, WSRowSetImpl, WSRowSetIteratorBase, WSRowSetIteratorImpl, WSViewObjectImpl

public interface NavigatableRowIterator
extends RowIterator

Provides simple access to a set of rows.

View Object methods may use row set iterators to navigate through a row set resulting from a query. Row set iterators provide a window into the row set, making a subset of it accessible. Each row of the row set is represented by a Row object.

Since:
  JDeveloper 3.0

Field Summary

Fields inherited from interface oracle.jbo.RowIterator
`ITER_MODE_LAST_PAGE_FULL, ITER_MODE_LAST_PAGE_PARTIAL, SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Method Summary
`void` | `addListener(java.lang.Object listener)` Adds a subscriber (listener) to be notified of `RowSetListener` events generated by this row set iterator.
`void` | `removeListener(java.lang.Object listener)` Removes a subscriber (listener) for `RowSetListener` events generated by this row set iterator.

Methods inherited from interface oracle.jbo.RowIterator
`createAndInitRow, createKey, createRow, enumerateRowsInRange, findByEntity, findByKey, findByViewCriteria, first, getAllRowsInRange, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getFetchedRowCount, getIterMode, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRowAtRangeIndex, getRowCount, getRowCountInRange, hasNext, hasPrevious, insertRow, insertRowAtRangeIndex, isRangeAtBottom, isRangeAtTop, isRowValidation, last, next, previous, removeCurrentRow, removeCurrentRowAndRetain, removeCurrentRowFromCollection, reset, scrollRange, scrollRangeTo, setCurrentRow, setCurrentRowAtRangeIndex, setIterMode, setRangeSize, setRangeStart, setRowValidation`

Method Detail

### addListener

    public void addListener(java.lang.Object listener)

  Adds a subscriber (listener) to be notified of `RowSetListener` events generated by this row set iterator.
  Parameters:
    `listener` - the subscriber to be added. It should implement `RowSetListener`.

### removeListener

    public void removeListener(java.lang.Object listener)

  Removes a subscriber (listener) for `RowSetListener` events generated by this row set iterator.
  Parameters:
    `listener` - the subscriber to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.